View Single Post
Old 10-19-2008, 08:33 AM   #1
Junior Member
sahlberg began at the beginning.
Posts: 9
Karma: 10
Join Date: Oct 2008
Device: prs-505
Problem: after upgrade to 0.4.98 calibre crashes


I followed the instructions on
and upgraded to 0.4.98.

After this calibre will not run anymore :

sahlberg@ronnie:~$ calibre
Traceback (most recent call last):
File "/usr/bin/calibre", line 8, in <module>
load_entry_point('calibre==0.4.98', 'gui_scripts', 'calibre')()
File "/usr/lib/python2.5/site-packages/", line 277, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python2.5/site-packages/", line 2179, in load_entry_point
return ep.load()
File "/usr/lib/python2.5/site-packages/", line 1912, in load
entry = __import__(self.module_name, globals(),globals(), ['__name__'])
File "build/bdist.linux-i686/egg/calibre/gui2/", line 14, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/", line 11, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/metadata/", line 12, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/lit/", line 384, in <module>
File "build/bdist.linux-i686/egg/calibre/ebooks/lit/", line 387, in LitReader
TypeError: 'resolve_entities' is an invalid keyword argument for this function

Please help.

ronnie sahlberg
sahlberg is offline   Reply With Quote